## tixGetInt - Get the integer value of a string.

### SYNOPSIS

tixGetInt ?-nocomplain? ?-trunc? string

### DESCRIPTION

The command tixGetInt converts any number into an integer number. By default, it will round the number to the nearest integer. When the -trunc option is specified, the number is truncated instead of rounded. When the string is not a valid TCL numerical value and the -nocomplain option is specified, tixGetInt will return "0". Otherwise it will generate an error.

### KEYWORDS

Tix(n)

Last modified Fri Jan 17 23:01:05 EST 1997 --- Serial 853731299